be.fgov.ehealth.samcivics.schemas.v2

## Class GetProfessionalAuthorizationsRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.samcivics.schemas.v2.GetProfessionalAuthorizationsRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:24:31+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetProfessionalAuthorizationsRequest
      extends RequestType
      implements Serializable

  Java class for GetProfessionalAuthorizationsRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetProfessionalAuthorizationsRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element name="QualificationListId" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="InputDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetProfessionalAuthorizationsRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getInputDate()` Gets the value of the inputDate property.
    `String` | `getLang()` Gets the value of the lang property.
    `String` | `getQualificationListId()` Gets the value of the qualificationListId property.
    `void` | `setInputDate(org.joda.time.DateTime value)` Sets the value of the inputDate property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setQualificationListId(String value)` Sets the value of the qualificationListId property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetProfessionalAuthorizationsRequest

          public GetProfessionalAuthorizationsRequest()

  - ### Method Detail

    - #### getQualificationListId

          public String getQualificationListId()

      Gets the value of the qualificationListId property.
      Returns:
        possible object is `String`

    - #### setQualificationListId

          public void setQualificationListId(String value)

      Sets the value of the qualificationListId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInputDate

          public org.joda.time.DateTime getInputDate()

      Gets the value of the inputDate property.
      Returns:
        possible object is `String`

    - #### setInputDate

          public void setInputDate(org.joda.time.DateTime value)

      Sets the value of the inputDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.